Bug 1728346 - Not able to install some packages using rpm-ostree (maybe corrupted)
Summary: Not able to install some packages using rpm-ostree (maybe corrupted)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm-ostree
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jonathan Lebon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: IoT
TreeView+ depends on / blocked
 
Reported: 2019-07-09 18:15 UTC by thiago.frmoraes
Modified: 2019-08-03 01:16 UTC (History)
9 users (show)

Fixed In Version: rpm-ostree-2019.5-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-03 01:16:56 UTC
Type: Bug


Attachments (Terms of Use)

Description thiago.frmoraes 2019-07-09 18:15:22 UTC
Description of problem:


Some packages (like libuv, neovim and fish) are not installable in Silverblue Rawhide. When I'm trying to install some of these and other packages rpm-ostree complains that the package are in a **Unrecognized archive format**


How reproducible:


Steps to Reproduce:
1. sudo rpm-ostree install fish


Actual results:

Checking out tree 82b92ec... done
Enabled rpm-md repositories: rawhide fedora-modular updates-modular updates-testing updates
rpm-md repo 'rawhide' (cached); generated: 2019-07-07T07:57:28Z
rpm-md repo 'fedora-modular' (cached); generated: 2019-07-07T07:52:03Z
rpm-md repo 'updates-modular' (cached); generated: 2019-07-07T07:52:03Z
rpm-md repo 'updates-testing' (cached); generated: 2019-07-07T07:57:28Z
rpm-md repo 'updates' (cached); generated: 2019-07-07T07:57:28Z
Importing rpm-md... done
Resolving dependencies... done
Will download: 1 package (229,1 kB)
Downloading from 'rawhide'... done
Importing packages... done
error: Unrecognized archive format


Expected results:

Install fish package.


Additional info:

I downloaded libuv (http://download-ib01.fedoraproject.org/pub/fedora/linux/development/rawhide/Everything/x86_64/os/Packages/l/libuv-1.30.1-1.fc31.x86_64.rpm) (one of packages with error) and install locally, but rpm-ostree claims that the package is in a Unrecognized archive format.

I was able to extract the package content using rpm2cpio:

$ rpm2cpio libuv-1.30.1-1.fc31.x86_64.rpm | cpio -idmv
./usr/lib/.build-id
./usr/lib/.build-id/11
./usr/lib/.build-id/11/0beeb614a495c653bc996c5db1e4f67ddb7e5f
./usr/lib64/libuv.so.1
./usr/lib64/libuv.so.1.0.0
./usr/share/doc/libuv
./usr/share/doc/libuv/AUTHORS
./usr/share/doc/libuv/CONTRIBUTING.md
./usr/share/doc/libuv/ChangeLog
./usr/share/doc/libuv/MAINTAINERS.md
./usr/share/doc/libuv/README.md
./usr/share/doc/libuv/SUPPORTED_PLATFORMS.md
./usr/share/licenses/libuv
./usr/share/licenses/libuv/LICENSE
735 blocks


rpmverify worked also:

rpmverify libuv-1.30.1-1.fc31.x86_64.rpm
warning: libuv-1.30.1-1.fc31.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 3c3359c4: NOKEY
missing   a /usr/lib/.build-id/11/0beeb614a495c653bc996c5db1e4f67ddb7e5f
missing     /usr/lib64/libuv.so.1
missing     /usr/lib64/libuv.so.1.0.0
missing     /usr/share/doc/libuv
missing   d /usr/share/doc/libuv/AUTHORS
missing   d /usr/share/doc/libuv/CONTRIBUTING.md
missing   d /usr/share/doc/libuv/ChangeLog
missing   d /usr/share/doc/libuv/MAINTAINERS.md
missing   d /usr/share/doc/libuv/README.md
missing   d /usr/share/doc/libuv/SUPPORTED_PLATFORMS.md
missing     /usr/share/licenses/libuv
missing   l /usr/share/licenses/libuv/LICENSE

Comment 1 Jonathan Lebon 2019-07-09 18:47:33 UTC
https://github.com/projectatomic/rpm-ostree/pull/1866

Comment 2 Fedora Update System 2019-07-25 17:56:35 UTC
FEDORA-2019-e9ec1ee945 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e9ec1ee945

Comment 3 Fedora Update System 2019-07-26 01:47:39 UTC
rpm-ostree-2019.5-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e9ec1ee945

Comment 4 Fedora Update System 2019-08-03 01:16:56 UTC
rpm-ostree-2019.5-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.